<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\UserAssement;
use Illuminate\Support\Facades\Validator;
use App\Http\Resources\API\UserAssementResource;
use App\Models\User;
class AssesmentController extends Controller
{
    // Store UserAssement//
    public function store(Request $request)
    {
        $user = \Auth::user();
         
       $validator=Validator::make($request->all(),[
        'name'=>'required',
        'dob'=>'required',
        'email'=>'required',
        'phone_number'=>'required',
        'country'=>'required',
        'type_visa'=>'required',
        'are_you_in_canada'=>'required'

        ]);
        if($validator->fails())
        {
            return response()->json([
                'message'=>'validations errors',
                'error'=>$validator->errors(),


            ],401);
        }
        
        $input = $request->all();
        $input['user_id']=$user->id;
        UserAssement::create($input);
        if($input)
        {
            return response()->json([
                'message'=>'Users Assement form Saved Succesfully'],200);
        }
        else
        {
            return response()->json(['message'=>'Users Assement form not Saved'],400);
        }
    }


    public function read()
    {
        $data= UserAssement::get();
        if($data)
        {
            return response()->json([
                'message'=>'assesment Data Found',
                'data'=>UserAssementResource::collection($data)


            ],200);
        }
        else
        {
            return response()->json(['message','data not found'],400);
        }

    }




}
