<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <title>Migrant</title>

    <!-- Favicons -->
    <link rel="shortcut icon" href="{{asset('assets/img/favicon.png')}}">

    <!-- Select 2 -->
    <link rel="stylesheet" href="{{asset('assets/css/select2.min.css')}}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{{asset('assets/plugins/bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/plugins/bootstrap-tagsinput/css/bootstrap-tagsinput.css')}}">

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="{{asset('assets/plugins/fontawesome/css/fontawesome.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/plugins/fontawesome/css/all.min.css')}}">

    <!-- Map CSS -->
    <link rel="stylesheet" href="{{asset('assets/plugins/jvectormap/jquery-jvectormap-2.0.3.css')}}">

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="{{asset('assets/css/dataTables.bootstrap4.min.css')}}">

    <!-- Feather CSS -->
    <link rel="stylesheet" href="{{asset('assets/plugins/feather/feather.css')}}">

    <!-- Main CSS -->
    <link rel="stylesheet" href="{{asset('assets/css/admin.css')}}">

    @yield('style')

</head>

<body>

    <div class="main-wrapper">
        @include('layout.partials.header')
        @include('layout.partials.sidebar')
        @yield('content')

    </div>

    <!-- Loader -->
    <div id="overlayer">
        <span class="loader">
            <span class="loader-inner"></span>
        </span>
    </div>
    <!-- Loader -->

    @yield('contentJS')


    <!-- jQuery -->
    <!-- <script data-cfasync="false" src="../../cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script> -->
    <script src="{{asset('assets/js/jquery-3.6.0.min.js')}}"></script>

    <!-- Select 2 JS-->
    <script src="{{asset('assets/js/select2.min.js')}}"></script>

    <!-- Chart JS -->
    <script src="{{asset('assets/plugins/apexchart/apexcharts.min.js')}}"></script>
    <script src="{{asset('assets/plugins/apexchart/chart-data.js')}}"></script>

    <!-- Bootstrap Core JS -->
    <script src="{{asset('assets/plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

    <!-- Feather Icon JS -->
    <script src="{{asset('assets/js/feather.min.js')}}"></script>

    <!-- Datatable JS -->
    <script src="{{asset('assets/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('assets/js/dataTables.bootstrap4.min.js')}}"></script>

    <!-- Slimscroll JS -->
    <script src="{{asset('assets/plugins/slimscroll/jquery.slimscroll.min.js')}}"></script>

    <!-- Map JS -->
    <script src="{{asset('assets/plugins/slimscroll/jquery.slimscroll.min.js')}}"></script>
    <script src="{{asset('assets/plugins/jvectormap/jquery-jvectormap-2.0.3.min.js')}}"></script>
    <script src="{{asset('assets/plugins/jvectormap/jquery-jvectormap-world-mill.js')}}"></script>
    <script src="{{asset('assets/plugins/jvectormap/jquery-jvectormap-ru-mill.js')}}"></script>
    <script src="{{asset('assets/plugins/jvectormap/jquery-jvectormap-us-aea.js')}}"></script>
    <script src="{{asset('assets/plugins/jvectormap/jquery-jvectormap-uk_countries-mill.js')}}"></script>
    <script src="{{asset('assets/plugins/jvectormap/jquery-jvectormap-in-mill.js')}}"></script>
    <script src="{{asset('assets/js/jvectormap.js')}}"></script>


    <!-- Sweetalert 2 -->
    <script src="{{asset('assets/plugins/sweetalert/sweetalert2.all.min.js')}}"></script>
    <script src="{{asset('assets/plugins/sweetalert/sweetalerts.min.js')}}"></script>

    <!-- Custom JS -->
    <script src="{{asset('assets/js/admin.js')}}"></script>


</body>

</html>