@extends('layout.master.master')
@section('content')
<div class="page-wrapper page-settings">
    <div class="content">
        <div class="content-page-header content-page-headersplit">
            <h5>Users Assessments</h5>
        </div>
        <div class="row">
            <div class="col-12 ">
                <div class="table-resposnive">
                    <table class="table datatable">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>name</th>
                                <th>Date of Birth</th>
                                <th>email</th>
                                <th>Phone Number</th>
                                <th>Country</th>
                                <th>Visa Type</th>
                                <th>are you in Canada ?</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if(isset($data))
                            @foreach($data as $d)
                            <tr>
                                <td>{{$d?$d->id:''}}</td>
                                <td class="table-namesplit">
                                   
                                    <a href="javascript:void(0);" class="table-name">
                                        <span>{{$d?$d->name:''}}</span>
                                    </a>
                                </td>
                                <td>{{$d?$d->dob:''}}</td>
                                <td>{{$d?$d->email:''}}</td>
                                <td>{{$d?$d->phone_number:''}}</td>
                                <td>{{$d?$d->country:''}}</td>
                                <td>{{$d?$d->type_visa:''}}</td>
                                <td>
                                    <h6 class="badge-active">{{$d?$d->are_you_in_canada:''}}</h6>
                                </td>
                                <td>
                                <button class="btn btn-danger">Delete<i class="fe fe-trash"></i></button>
                                </td>
                            </tr>
                            @endforeach
                            @endif
                            
                           
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection