<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\API\UserController;
use App\Http\Controllers\API\AssesmentController;


/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});


Route::post('/register','App\Http\Controllers\API\LoginController@register');
Route::post('/login','App\Http\Controllers\API\LoginController@login');
Route::post('otp-send','App\Http\Controllers\API\LoginController@send_otp_code');
// Route::post('/create_assement','App\Http\Controllers\API\AssesmentController@store');
Route::get('/read_assement','App\Http\Controllers\API\AssesmentController@read');

//Route::post('/refresh-token','App\Http\Controllers\API\LoginController@refresh');
// Route::get('/refresh-token','App\Http\Controllers\API\LoginController@refreshtoken');
Route::middleware('auth:api')->group(function () {
Route::post('/refresh-token','App\Http\Controllers\API\LoginController@refresh');
Route::post('/change-password','App\Http\Controllers\API\LoginController@change_password');
Route::post('/create_assement','App\Http\Controllers\API\AssesmentController@store');
});